Summary: Support library to use the Qualcomm MSM Interface (QMI) protocol
Name: libqmi
Version: 1.30.6
Release: 3%{?dist}
License: LGPLv2+
URL: http://freedesktop.org/software/libqmi
Source: http://freedesktop.org/software/libqmi/%{name}-%{version}.tar.xz

BuildRequires: make gcc
BuildRequires: glib2-devel >= 2.48.0 gobject-introspection-devel
BuildRequires: pkgconfig(gudev-1.0) >= 147 python3
BuildRequires: libmbim-devel >= 1.18.0 libqrtr-glib-devel

%description
This package provides the libraries that make it easier for glib applications to use 
QMI functionality.


%package devel
Summary: Header files for adding QMI support to applications that use glib
Requires: %{name} = %{version}-%{release}
Requires: glib2-devel
Requires: pkgconfig

%description devel
This package provides the header and pkg-config files for development applications 
using QMI functionality.


%package utils
Summary: Utilities to use the QMI protocol from the command line
Requires: %{name} = %{version}-%{release}
License: GPLv2+

%description utils
This package provides the utilities that make it easier to use QMI functionality from 
he command line.


%prep
%autosetup -p1


%build
%configure --disable-static --disable-gtk-doc --enable-mbim-qmux
%make_build V=1


%install
%make_install
find %{buildroot}%{_datadir}/gtk-doc |xargs touch --reference configure.ac
find %{buildroot} -type f -name "*.la" -delete


%files
%license COPYING.LIB
%doc NEWS AUTHORS README
%{_libdir}/libqmi-glib.so.*
%{_libdir}/girepository-1.0/Qmi-1.0.typelib


%files devel
%{_includedir}/libqmi-glib/
%{_libdir}/pkgconfig/qmi-glib.pc
%{_libdir}/libqmi-glib.so
%{_datadir}/gtk-doc/html/libqmi-glib/
%{_datadir}/gir-1.0/Qmi-1.0.gir


%files utils
%license COPYING
%{_bindir}/qmicli
%{_bindir}/qmi-network
%{_bindir}/qmi-firmware-update
%{_datadir}/bash-completion
%{_libexecdir}/qmi-proxy
%{_mandir}/man1/*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.30.6-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.30.6-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 21 2022 Wang Guodong <gordonwwang@tencent.com> - 1.30.6-1
- package init.
